/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* CVC Code Generation for Automatic Generation of Attack Format Strings     */
/*                                                                           */
/* Vinod Ganapathy                                       6 November 2003     */
/*                                                                           */
/* Functionality: Given the set of attack parameters, automatically generate */
/* CVC code for the format string attack.                                    */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

#include "printf_read_attack.h"
#include <iostream>

//-----------------------------------------------------------------------------
// main program:
//-----------------------------------------------------------------------------

main(int argc, char *argv[]){
  if (argc != 7) {
    std::cerr << "Usage problem_instantiator "
              << "[format length] [distance] "
              << "[addr_lsb] [addr_med_lsb] [addr_med_msb] [addr_msb]\n";
    exit(1);
  }
  
  printf_read_attack printf_read_attack_instance(atoi(argv[1]),
                                                 atoi(argv[2]),
                                                 atoi(argv[3]),
                                                 atoi(argv[4]),
                                                 atoi(argv[5]),
                                                 atoi(argv[6]));
  printf_read_attack_instance.generate_cvc_code();
}
